%global srcname pytoml

Name:           python3-%{srcname}
Version:        0.1.20
Release:        1%{?dist}
Summary:        A parser for TOML

License:        MIT
URL:            https://github.com/avakar/%{srcname}
Source0:        https://github.com/avakar/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%global _description \
A parser for TOML-0.4.0

%description %_description


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}


%description -n python%{python3_pkgversion}-%{srcname} %_description


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
PYTHONPATH=%{buildroot}%{python3_sitelib} \
    py.test-%{python3_version} test


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Apr 10 2019 Scott K Logan <logans@cottsay.net> - 0.1.20-1
- Initial package created from python-pytoml spec
